<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Note List</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.2/dist/css/bootstrap.min.css" rel="stylesheet">
  </head>
  <body>
    <nav class="navbar navbar-expand-lg navbar-light bg-light sticky-top">
      <div class="container-fluid">
        <a class="navbar-brand" href="{% url 'index' %}">PBP</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
          <div class="navbar-nav">
            <a class="nav-link active" href="{% url 'lab4-index' %}">Note Table</a>
            <a class="nav-link" href="{% url 'lab4-add-note' %}">Add Note</a>
            <a class="nav-link" href="{% url 'lab4-note-list' %}">Note Card</a>
          </div>
        </div>
      </div>
    </nav>
    <div class="container">
      <h1 style="text-align:center; margin: 10px;">NOTE TABLE</h1>
      <table class="table table-striped table-bordered">
        <tr class="table-success" style="text-align:center;">
          <th>To</th>
          <th>From</th>
          <th>Title</th>
          <th>Message</th>
        </tr>
        {% if notes %}
          {% for note in notes %}
            <tr>
              <th style="font-weight: normal;">{{note.to}}</th>
              <th style="font-weight: normal;">{{note.From}}</th>
              <th style="font-weight: normal;">{{note.title}}</th>
              <th style="font-weight: normal;">{{note.message}}</th>
            </tr>
          {% endfor %}
        {% endif %}
      </table>
    </div>
  </body>
</html>
